[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: [Gnash] v7 compliant?

From: Rob Savoye
Subject: Re: [Gnash] v7 compliant?
Date: Wed, 18 Jan 2006 10:23:30 -0700
User-agent: Mozilla Thunderbird 1.0.7 (X11/20051013)

Fred . wrote:

I saw that Gnash try to be compatible with Flash v7.
But if I dont remember wrong, Flash version 8 is out.
Dont you try to be compatible with that too?

From what I've heard, SWF 8 is internally substantially different from SWF 7. As most of the movies I've been collecting from various web sites are SWF versions 4,5,6, and a few 7, it seems best to focus on that level of compatibility for current development efforts. I believe the MacroMedia tools can generate the earlier formats though.

That said, I would also like to ultimately make Gnash fully compliant with the latest SWF 8 and greater formats. This will first require me to get the technical details as to what the changes are in a clean manner. (can't use MacroMedia docs) At that point I can scope out the work required. There is other work that is probably a higher priority for the next few months.

With more developers working on Gnash, this may be able to happen sooner than later. Being realistic, with the current amount of developer resources (Gnash in it's current form is only a month old project) SWF 8 support is probably quite a ways in the future.

        - rob -

reply via email to

[Prev in Thread] Current Thread [Next in Thread]